<template>
  <h2 :class="`section-title ${!noLine ? 'section-title-line' : ''} title main-text-color font-weight-bold mb-3`">
    <span>
      <slot></slot>
      {{title}}
    </span>
  </h2>
</template>
<script>
  export default {
    name: 'SectionTitle',
    props: {
      title: String,
      noLine: Boolean
    }
  };
</script>
<style scoped>
  .section-title {
    position: relative;
  }

  .section-title span {
    display: inline-block;
    position: relative;
    padding-right: 20px;
    background-color: #F5F7FB;
  }

  .section-title-line::before {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    background-color: #CCCACA;
    position: absolute;
    top: 70%;
    z-index: 0;
  }
</style>
